Altibase.jdbc.driver

## Class WrapperAdapter

- java.lang.Object
- - Altibase.jdbc.driver.WrapperAdapter

All Implemented Interfaces:
  java.sql.Wrapper

Direct Known Subclasses:
  AbstractConnection, AbstractResultSet, AbstractStatement, AltibaseDatabaseMetaData, AltibaseDataSource, AltibaseParameterMetaData, AltibaseResultSetMetaData, AltibaseStatement

    public abstract class WrapperAdapter
    extends java.lang.Object
    implements java.sql.Wrapper

### Constructor Summary

Constructors
Constructor and Description
`WrapperAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isWrapperFor(java.lang.Class<?> aIface)`
`<T> T` `unwrap(java.lang.Class<T> aIface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrapperAdapter

    public WrapperAdapter()

### Method Detail

#### unwrap

    public <T> T unwrap(java.lang.Class<T> aIface)
                 throws java.sql.SQLException

Specified by:
  `unwrap` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`

#### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> aIface)
                         throws java.sql.SQLException

Specified by:
  `isWrapperFor` in interface `java.sql.Wrapper`
Throws:
  `java.sql.SQLException`